package metricsOverlay.handlers;

import org.eclipse.swt.widgets.Event;

/**
 * An event used to fire updates to the view.
 * 
 * @author Matthew Harward
 * @version 2/9/2009
 */
public class MetricEvent extends Event {
	
	private MetricFile mf;

	public MetricEvent(MetricFile mf){
		this.mf = mf;
	}
	
	public MetricFile getCurMetricFile() {
		return mf;
	}
}
