package metricsOverlay.handlers;

import org.eclipse.jface.action.Action;
import org.eclipse.swt.widgets.Event;

/**
 * This action updates the table viewer view.
 *
 * @author Matthew Harward
 * @version 2/9/2009
 */
public class UpdateViewerAction extends Action {

	public static final String METRIC_FILE = "MetricFile";

	@Override
	public void runWithEvent(Event event) {
		if(event instanceof MetricEvent) {
			this.firePropertyChange(METRIC_FILE, null, ((MetricEvent) event).getCurMetricFile());
		}
		super.runWithEvent(event);
	}
}
