package metricsOverlay.model;

/**
 * This interface provides objects with the ability to get at a description of
 * their own type.
 * 
 * @author Matthew Harward
 * @version 27/8/2009
 */
public interface ITyped {

	/**
	 * @return A succinct String description of the object.
	 */
	public String getType();

}
