package metricsOverlay.preferences;

import metricsOverlay.Activator;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {
/**
 * This method gets called when the user presses "Restore to default" 
 * Or it is used on first setup. If it is left unset, it will default to black
 * RGB(0,0,0)
 */
	public void initializeDefaultPreferences() {
		IPreferenceStore store = Activator.getDefault().getPreferenceStore();
		//this needs changing
		//PreferenceConverter.setDefault(store, "old_color", new RGB(50,255, 255));
		//PreferenceConverter.setDefault(store, "new_color", new RGB(255,255, 255));
		//MetricFile mf = MetricFileHandler.getInstance().getCurrentMFile();
		// do stuff...
		// bed time
		
		// MetricsOverlay Default Preferences
		store.setDefault(MetricsOverlayPreferencePage.PRESERVE_SETTINGS, true);
		store.setDefault(MetricsOverlayPreferencePage.USE_DEFAULTS, true);
	}
}
