package editorListener.listeners;

import org.eclipse.core.filebuffers.FileBuffers;
import org.eclipse.core.filebuffers.LocationKind;
import org.eclipse.core.runtime.IPath;
import org.eclipse.jdt.core.ElementChangedEvent;
import org.eclipse.jdt.core.IElementChangedListener;
import org.eclipse.jface.text.IDocument;

import editorListener.handlers.EditorListener;

public class JavaElementDispatch implements IElementChangedListener {

	@Override
	public void elementChanged(ElementChangedEvent event) {
		IPath path = event.getDelta().getElement().getPath();
		try{
		IDocument doc = FileBuffers.getTextFileBufferManager().getTextFileBuffer(path, LocationKind.LOCATION)
			.getDocument();
		EditorListener.getInstance().changeFocus(doc);
		System.out.println("Change" + event.toString());
		} catch (Exception e){}
	}
}
