package metricsOverlay.model.mappings;

public abstract class ExponentialIStrategy extends InterpolationStrategy {

	protected double exp;

	public ExponentialIStrategy() {
		super();
	}
	
	public ExponentialIStrategy(double dMax, double dMin, double mMax, double mMin, double exp) {
		super(dMax, dMin, mMax, mMin);
		this.exp = exp;
	}

	public String getConstant() {
		return String.valueOf(exp);
	}

	public void setConstant(double expValue) {
		exp = expValue;
	}
	
}
