package metricsOverlay.model.mappings;

public abstract class LogIStrategy extends InterpolationStrategy {

	protected double log;
	
	public LogIStrategy(){
		super();
	}
	
	public LogIStrategy(double dMax, double dMin, double mMax, double mMin,
			double log) {
		super(dMax, dMin, mMax, mMin);
		this.log = log;
	}
	
	public String getConstant() {
		return String.valueOf(log);
	}

	public void setConstant(double logValue) {
		log = logValue;
	}

}
