package metricsOverlay.preferences;

/**
 * Provides utility methods for converting between enum text
 * and readable English.
 * 
 * @author Matthew Harward
 * @version 2/9/2009
 */
public class EnumConverter {

	/**
	 * This method adds a space before each upper case character.
	 * @param eString the String text of the enum value.
	 * @return a readable version of the enum.
	 */
	public static String makeReadable(String eString){
		String result = "";
		for(int i = 0; i < eString.length(); i++) {
			if(i != 0 && Character.isUpperCase(eString.charAt(i)))
				result += " ";
			result += eString.charAt(i);
		}
		return result;
	}
	
	/**
	 * This method strips all spaces from a string
	 * @param string the string to be converted
	 * @return the text of the enum it came from.
	 */
	public static String makeEnum(String string){
		String result = "";
		for(int i = 0; i < string.length(); i++) {
			if(string.charAt(i) == ' ');
			else
				result += string.charAt(i);
		}
		return result;
	}
	
}
