package metricsOverlay.views;

import metricsOverlay.model.mappings.Mapping;

/**
 * Interface providing facilities for the list viewer.
 * 
 * @author Matthew Harward
 * @version 23/8/2009
 */
public interface IActiveMappingListViewer {
	
	public void addMapping(Mapping map);
	
	public void removeMapping(Mapping map);
	
	public void updateMapping(Mapping map);
}
