package metricsOverlay.views.toolbar;

import metricsOverlay.handlers.MetricFileHandler;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.IHandlerListener;

public class ToggleHandler implements IHandler {

	private boolean toggleOn;
	
	public ToggleHandler() {
		toggleOn = false;
	}

	@Override
	public void addHandlerListener(IHandlerListener handlerListener) {}

	@Override
	public void dispose() {}

	@Override
	public Object execute(ExecutionEvent event)
			throws org.eclipse.core.commands.ExecutionException {
		if(!toggleOn) {
			MetricFileHandler.getInstance().toggleAllOn();
			toggleOn = true;
			//pressed
		} else {
			MetricFileHandler.getInstance().toggleAllOff();
			toggleOn = false;
			//unpressed
		}
		return null;
	}

	@Override
	public boolean isEnabled() {
		if(MetricFileHandler.getInstance().getCurrentMFile() == null)
			return false;
		else return true;
	}

	@Override
	public boolean isHandled() {
		return true;
	}

	@Override
	public void removeHandlerListener(IHandlerListener handlerListener) {}

}
